This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 841245 - unknown type 'bool'
unknown type 'bool'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839610
  Show dependency treegraph
 
Reported: 2012-07-18 09:50 EDT by Petr Lautrbach
Modified: 2013-04-30 19:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 10:03:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2012-07-18 09:50:15 EDT
Description of problem:
make[2]: Entering directory `/root/openscap/swig'
/bin/swig -o openscap_pm_wrap.c -perl5 -module openscap_pm  -DWANT_CCE -DWANT_CPE -DWANT_CVE -DWANT_CVSS -DWANT_OVAL -DWANT_XCCDF -DWANT_SCE -DNDEBUG ./openscap.i
mv openscap_pm.pm openscap.pm
/bin/sh ../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I../src/common/public -I/usr/include/python2.7 -I/usr/lib64/perl5/CORE -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE=1 -I/usr/include -include "sys/types.h" -I/usr/include/libxml2 -I../src/CCE/public -I../src/CPE/public -I../src/CVE/public -I../src/CVSS/public -I../src/OVAL/public -I../src/XCCDF/public -I../src/XCCDF_POLICY/public -DENABLE_XCCDF -I../src/SCE/public -DENABLE_SCE  -fPIC -g -O2 -pipe -std=c99 -W -Wall -Wnonnull -Wshadow -Wformat -Wundef -Wno-unused-parameter -Wmissing-prototypes -Wno-unknown-pragmas -D_GNU_SOURCE -DOSCAP_THREAD_SAFE -D_POSIX_C_SOURCE=200112L -Wno-unused-function -Wno-missing-prototypes -c -o openscap_pm_wrap.lo openscap_pm_wrap.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I../src/common/public -I/usr/include/python2.7 -I/usr/lib64/perl5/CORE -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE=1 -I/usr/include -include sys/types.h -I/usr/include/libxml2 -I../src/CCE/public -I../src/CPE/public -I../src/CVE/public -I../src/CVSS/public -I../src/OVAL/public -I../src/XCCDF/public -I../src/XCCDF_POLICY/public -DENABLE_XCCDF -I../src/SCE/public -DENABLE_SCE -fPIC -g -O2 -pipe -std=c99 -W -Wall -Wnonnull -Wshadow -Wformat -Wundef -Wno-unused-parameter -Wmissing-prototypes -Wno-unknown-pragmas -D_GNU_SOURCE -DOSCAP_THREAD_SAFE -D_POSIX_C_SOURCE=200112L -Wno-unused-function -Wno-missing-prototypes -c openscap_pm_wrap.c  -fPIC -DPIC -o .libs/openscap_pm_wrap.o
openscap_pm_wrap.c: In function 'SWIG_Perl_ConvertPtrAndOwn':
openscap_pm_wrap.c:1185:4: warning: value computed is not used [-Wunused-value]
openscap_pm_wrap.c: In function 'SWIG_Perl_MakePtr':
openscap_pm_wrap.c:1212:8: warning: value computed is not used [-Wunused-value]
In file included from ../src/common/public/oscap.h:37:0,
                 from openscap_pm_wrap.c:1799:
../src/common/public/text.h: At top level:
../src/common/public/text.h:123:1: error: unknown type name 'bool'
../src/common/public/text.h:128:1: error: unknown type name 'bool'
../src/common/public/text.h:133:1: error: unknown type name 'bool'
../src/common/public/text.h:138:1: error: unknown type name 'bool'
...

I used to work with previous versions of swig, perl, ...

Version-Release number of selected component (if applicable):
gcc-4.7.1-3.fc18.x86_64
swig-2.0.7-3.fc18.x86_64
perl-5.16.0-226.fc18.x86_64


Steps to Reproduce:
1. try to build git clone git://git.fedorahosted.org/openscap.git
Comment 1 Adam Tkac 2012-07-19 10:03:10 EDT
Fixed in swig-2.0.7-4.fc18, thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.